package edu.columbia.sip;

/** This exception class is used for all problems in parsing SIP messages,
 * whether reading a SIP message sent by someone else or writing a SIP message
 * to them.
 */
public class SIPParseException extends SIPException {

    /** Default Constructor */
    public SIPParseException() {
        super();
    }

    /** Message encapsulating Constructor
     *
     * @param s the error message to encapsulate
     */
    public SIPParseException(String s) {
        super(s);
    }
} // end class SIPParseException